package com.foreverwin.mesnac.production.service.impl;

import com.foreverwin.modular.core.util.FrontPage;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.production.model.AccessoryLog;
import com.foreverwin.mesnac.production.mapper.AccessoryLogMapper;
import com.foreverwin.mesnac.production.service.AccessoryLogService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
/**
 * <p>
 * 辅料使用记录表 服务实现类
 * </p>
 *
 * @author Philip
 * @since 2021-08-12
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class AccessoryLogServiceImpl extends ServiceImpl<AccessoryLogMapper, AccessoryLog> implements AccessoryLogService {


    @Autowired
    private AccessoryLogMapper accessoryLogMapper;

    @Override
    public IPage<AccessoryLog> selectPage(FrontPage<AccessoryLog> frontPage, AccessoryLog accessoryLog) {
        QueryWrapper<AccessoryLog> queryWrapper = new QueryWrapper<>();
        queryWrapper.setEntity(accessoryLog);
        return super.page(frontPage.getPagePlus(), queryWrapper);
    }

    @Override
    public List<AccessoryLog> selectList(AccessoryLog accessoryLog) {
        QueryWrapper<AccessoryLog> queryWrapper = new QueryWrapper<>();
        queryWrapper.setEntity(accessoryLog);
        return super.list(queryWrapper);
    }


}